unit uCoolBar;

interface

uses
{$IFDEF VCL}
  ComCtrls,
{$ELSE}
  QComCtrls,
{$ENDIF}
  ExtCtrls,
  Rubies;

var
  cCoolBar: Tvalue;

function ap_cCoolBar: Tvalue;
function ap_iCoolBar(real: TCoolBar; owner: Tvalue): Tvalue;
procedure Init_CoolBar;

implementation

uses
  SysUtils, Classes,
  uDefUtils, uIntern, uHandle, uAlloc, uProp, uPhi,
  uSizeConstraints,
  uConv,
  uIndexer,
  Graphics,
  uPersistent, uComponent, uControl;

function ap_cCoolBar: Tvalue;
begin
  result := cCoolBar;
end;

procedure CoolBar_setup(obj: Tvalue; real: TCoolBar);
begin
//    AssignPropMethod(real, [Handle]);
end;

function CoolBar_event_handle(This, name: Tvalue): Tvalue; cdecl;
begin
  EventHandle(This, name, [Handle]);
  result := Qnil;
end;

function CoolBar_alloc(This: Tvalue; real: TCoolBar): Tvalue;
begin
  result := ChildAlloc(This, real);
  CoolBar_setup(result, real);
end;

function ap_iCoolBar(real: TCoolBar; owner: Tvalue): Tvalue;
begin
  result := CoolBar_alloc(cCoolBar, real);
  ap_owner(result, owner);
end;

function ap_iCoolBar_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iCoolBar(TCoolBar(AControl), owner);
end;

function CoolBar_allocate(This: Tvalue): Tvalue; cdecl;
var
  real: TCoolBar;
begin
  real := TCoolBar.Create(nil);
  result := CompoAlloc(This, real);
  CoolBar_setup(result, real);
end;

(**** str_my_class made by ap_src_maker ****)
(**** made by ap_src_maker ****)

procedure Init_CoolBar;
begin
  cCoolBar := OutputPersistentClass(mPhi, TCoolBar, cWinControl, ap_iCoolBar_v);
  rb_define_method(cCoolBar, 'event_handle', @CoolBar_event_handle, 1);
  rb_define_alloc_func(cCoolBar, @CoolBar_allocate);

(**** str_init made by ap_src_maker ****)
(**** made by ap_src_maker ****)


end;

end.
